<?php
function smarty_function_translate_code($params, &$smarty) {
	//
	$qs = "?page=body&cat=".$_GET['cat']."&lm=".$_GET['lm']."&cfg=info";
	$code = eregi_replace("(<mylink>)(.*)(</mylink>)", $qs."&data=\\2", $params['code']);
	return $code;
}
?>